inline uint8_t generateAddress(uint16_t address) {
  return 0b01010000 | ((address >> 8) & 0b00000111);
}

void setAddress(uint16_t address) {
  TinyWireM.beginTransmission(generateAddress(address));
  TinyWireM.send((uint8_t)address & 0xFF);
}

void readBytes(uint16_t address, uint8_t quantity) {
  setAddress(address);
  TinyWireM.endTransmission();  
  TinyWireM.requestFrom(generateAddress(address), quantity);
}

